base-4.7.0.2: Basic libraries

Copyright | (c) The University of Glasgow 2001
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

System.Mem

Description

Memory-related system things.

Synopsis

- performGC :: IO ()
- performMajorGC :: IO ()
- performMinorGC :: IO ()

# Documentation

performGC :: IO ()

Triggers an immediate garbage collection.

performMajorGC :: IO ()

Triggers an immediate garbage collection.

Since: 4.7.0.0

performMinorGC :: IO ()

Triggers an immediate minor garbage collection.

Since: 4.7.0.0